import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, u = Object.getOwnPropertyDescriptor, a = (i, e, l, r) => {
  for (var t = r > 1 ? void 0 : r ? u(e, l) : e, p = i.length - 1, s; p >= 0; p--)
    (s = i[p]) && (t = (r ? s(e, l, t) : s(t)) || t);
  return r && t && g(e, l, t), t;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--portugal", this.class = "c-pieIcon c-pieIcon--portugal", this.name = "IconFlagPortugal";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--portugal"><path fill="#6DA544" d="M1 8a7 7 0 0 0 4.567 6.563L6.174 8l-.607-6.563A7 7 0 0 0 1 8Z"></path><path fill="#D80027" d="M15.002 8a7 7 0 0 0-9.435-6.563v13.126A7.002 7.002 0 0 0 15.002 8Z"></path><path fill="#FFDA44" d="M5.567 10.434a2.434 2.434 0 1 0 0-4.868 2.434 2.434 0 0 0 0 4.868Z"></path><path fill="#D80027" d="M4.197 6.783v1.518a1.369 1.369 0 1 0 2.737 0V6.78H4.199l-.002.002Z"></path><path fill="#EEE" d="M5.567 8.76a.458.458 0 0 1-.456-.456v-.605h.913v.602a.458.458 0 0 1-.457.457v.002Z"></path></svg>`;
  }
};
a([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  f("icon-flag-portugal")
], o);
export {
  o as IconFlagPortugal
};
